<!DOCTYPE html>
<html> 
	<head>
		<meta charset="ISO-8859-1"> 
		<link rel="stylesheet" type="text/css" href="/css/main.css">
		<title>Liferay Questions</title>
	</head>
	<body>
		
		<div class="justify-text">
			<h3>Question No: $questionNum</h3>
			<h3>$question.getQuestion()</h3>
		</div>
		<br>
		<form action="/answer" method="POST">
			#foreach($answer in $question.getAnswers().entrySet())
				#set($answerKey = $answer.getKey())
				#set($answerValue = $answer.getValue())
				
				<div class="justify-text">
					#if(!$isAnswered)
						<input type="checkbox" class="options" id="$answerKey" name="answer" value="$answerKey" onclick="checkAnswers()"/>
						<label for="$answerKey">$answerKey: $answerValue</label>
						
					#else
						#if($correctAnswers.contains($answer.getKey()))
							<span class="right"><b>$answerKey: $answerValue</b></span>
							
						#elseif($wrongAnswers.contains($answer.getKey()))
							<span class="wrong"><b>$answerKey: $answerValue</b></span>
							
						#else
							<span>$answerKey: $answerValue</span>
						#end
					#end
				</div>
			#end
			#if(!$isAnswered)
				<br><input id="answerButton" class="button-disabled" type="submit" value="ANSWER THE QUESTION"/>
			#end
		</form>
		
		##SHOW NEXT BUTTON ONLY IF THE QUESTION IS ANSWERED
		#if($isAnswered)
			#if($isCorrect)
				<h3 class="right">Right Answer!</h3>
			#else
				<h3 class="wrong">Wrong Answer!</h3>
			#end
			
			<form action="/next" method="POST">
				#if($lastQuestion)
					<input class="button" type="submit" value="SHOW RESULTS"/>
				#else
					<input class="button" type="submit" value="GO TO NEXT QUESTION"/>
				#end
			</form>
		#end
		
		 <script src="/js/jquery-3.3.1-min.js"></script>
		 <script src="/js/main.js"></script>
	</body>
<html>